Bug 1565695 - Anaconda installer does not allow start install without swap
Summary: Anaconda installer does not allow start install without swap
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 14:41 UTC by Tomasz Kłoczko
Modified: 2019-11-27 19:00 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:00:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomasz Kłoczko 2018-04-10 14:41:24 UTC
It should be possible to use such setup.

Comment 1 Tomasz Kłoczko 2018-06-26 12:34:35 UTC
Seems like still anaconda GUI installer does not allow to provision install profile without swap.
Why?

Comment 2 Vratislav Podzimek 2018-06-26 14:58:27 UTC
Which version did you try this with? I installed F28 three days ago without a swap partition/LV just fine. The installer just showed me a warning.

Comment 3 Tomasz Kłoczko 2018-06-27 08:06:40 UTC
I'm talking about rawhide version.
I've not been using LVM but only btrfs.

Comment 4 Vendula Poncova 2018-06-27 09:47:06 UTC
I am not able to reproduce the bug on rawhide with btrfs. Please, attach all files from /tmp/*log with anaconda logs.

Comment 5 Tomasz Kłoczko 2018-06-27 18:41:15 UTC
It is not possible to attach those files because GUI installer will not allow to start installation process with /boot on btrfs.

Comment 6 Vratislav Podzimek 2018-06-29 09:07:32 UTC
If you are running installation from a live media, you can just grab the logs from /tmp (AFAIK). If you are using the installation-only media, you can hit Ctrl+Alt+F1 to get into console/tmux and collect the logs there -- they are in /tmp. You can use scp to get them somewhere else.

Comment 7 Tomasz Kłoczko 2018-06-29 13:12:49 UTC
Again: without added swap it is not possible to start actual installation -> I cannot deliver install logs.

Comment 8 Vratislav Podzimek 2018-06-29 13:31:27 UTC
(In reply to Tomasz Kłoczko from comment #7)
> Again: without added swap it is not possible to start actual installation ->
> I cannot deliver install logs.

The logs are created at the very beginning when the installer starts and are being appended all the time. So they are there even if the "actual installation" hasn't started yet.

Comment 9 Tomasz Kłoczko 2018-06-29 13:51:31 UTC
OK, will try do this tomorrow :)

Comment 10 Jan Kurik 2018-08-14 10:07:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 11 Ben Cotton 2019-10-31 20:53:53 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Ben Cotton 2019-11-27 19:00:38 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.